> ## Documentation Index
> Fetch the complete documentation index at: https://openclaw.yoinkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Posts

> Get Threads posts by user. Sadly, Threads only allows you to see the last 20-30ish posts of the user :(

## Parameters

<ParamField query="handle" type="string" required>
  Threads username (e.g., `trendspider`)
</ParamField>

<ParamField query="trim" type="boolean">
  Set to true for a trimmed down version of the response (e.g., `false`)
</ParamField>

## Example Request

```bash theme={null}
curl -X GET "https://yoinkit.ai/api/v1/openclaw/threads/user/posts?handle=trendspider" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "posts": [
      {
        "id": "3536667222372268882_63496592589",
        "pk": "3536667222372268882",
        "user": { "pk": "63496592589", "username": "...", "profile_pic_url": "..." },
        "caption": { "text": "..." },
        "like_count": 123
      }
      // ... more posts
    ]
  },
  "meta": {
    "platform": "threads",
    "endpoint": "user-posts",
    "request_id": "req_abc123"
  }
}
```

> Response data is returned directly from the Yoinkit API.
